LITESERV(1)

NAME
liteserv - serve tiles using TileLite

SYNOPSIS
liteserv mapfile [ options ]

DESCRIPTION
This manual page documents briefly the liteserv command. litserv is a development server that serves tiles rendered by Mapnik using TileLite.

OPTIONS

-h, --help
    Show summary of options.

-i HOST, --ip=HOST
    Specify an IP address to listen on (defaults to 0.0.0.0/localhost).

-p PORT, --port=PORT
    Specify a custom port to run on: eg. 8080.

--config=CONFIG
    Specify the use of a custom TileLite config file to override default settings. By default looks for a file in the current directory called tilelite.cfg.

-s SIZE, --size=SIZE
    Specify a custom tile size (defaults to 256).

-b BUFFER_SIZE, --buffer-size=BUFFER_SIZE
    Specify a custom map buffer_size (defaults to 128).

-z MAX_ZOOM, --max-zoom=MAX_ZOOM
    Max zoom level to support (defaults to 22).

-f FORMAT, --format=FORMAT
    Specify a custom image format (png or jpeg) (defaults to png).

--paletted
    Use paletted/8bit PNG (defaults to False).

-d DEBUG, --debug=DEBUG
    Run in debug mode (defaults to True).

-c, --caching
    Turn on tile caching mode (defaults to False).

--cache-path=CACHE_PATH
    Path to tile cache directory (defaults to /tmp).

--cache-force
    Force regeneration of tiles while in caching mode (defaults to False).

--processes=NUM_PROCESSES
    If werkzeug is installed, number of rendering processes to allow.

SEE ALSO

AUTHOR
TileLite was written by Dane Springmeyer <dane@dbsgeo.com>.

This manual page was written by David Paleino <dapal@debian.org>, for the Debian project (and may be used by others).